#pragma once
#include <string>
#include <windows.h>

namespace System::IO {
    class IFileSystemEntity {
    public:
        virtual std::wstring GetPath() const = 0;
        virtual DWORD GetAttributes() const = 0;
        virtual bool SetAttributes(DWORD attributes) = 0;
        virtual ~IFileSystemEntity() = default;
    };
}
